---
name: Maintenance
about: This general maintenance template aims to capture all the details needed to understand, prioritize and complete various types of maintenance work that may come up.
title: ''
labels: 'Documentation'
assignees: ''

---

## Maintenance task description  

Describe the general maintenance task needing to be addressed. For example:

- Update third-party dependencies to latest versions
- Review and update configs  
- Remove unused code/files 
- etc.

## Scope of work

Provide details on the full scope of the maintenance task. For example:

- List all dependencies needing updates (package names and current vs latest versions)  
- What config files need to be reviewed and what updates are required
- What unused code/files have been identified to remove?

Attach or link to any dependency reports, linting reports or other analyses that can help provide an overview of the work required.

## Priority 

Assign an overall priority level for completing this maintenance work.

- High: Address immediately  - impacts functionality 
- Medium: Address within 2 weeks - non-critical updates needed  
- Low: Address within 1 month - minor patches/fixes, remove tech debt  

## Possible solutions (optional) 

If there are any tools, scripts or processes that could help automate or simplify this maintenance work, describe them here. We're open to any suggestions that could help improve our workflows!

We appreciate you helping to keep our project clean and dependencies up to date! Please provide as much detail as possible about the work required so we can properly prioritize and plan completion of this task.